Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.sms
Class SMSResponse

    java.lang.Object
      com.knowgate.sms.SMSResponse

    public class SMSResponse

extends java.lang.Object

Nested Class Summary
`static class` | `SMSResponse.ErrorCode`
`static class` | `SMSResponse.StatusCode`

Constructor Summary
`SMSResponse(java.lang.String sMsgId, java.util.Date dtResponse, SMSResponse.ErrorCode eErrCode, SMSResponse.StatusCode eNotifyStatusCode, java.lang.String sErrorMsg)` Constructor for SMS response

Method Summary
`java.util.Date` | `dateStamp()`
`SMSResponse.ErrorCode` | `errorCode()`
`java.lang.String` | `errorMessage()`
`java.lang.String` | `messageId()`
`SMSResponse.StatusCode` | `notificationStatusCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SMSResponse

    public SMSResponse(java.lang.String sMsgId,
                       java.util.Date dtResponse,
                       SMSResponse.ErrorCode eErrCode,
                       SMSResponse.StatusCode eNotifyStatusCode,
                       java.lang.String sErrorMsg)

  Constructor for SMS response

  Parameters:
    `sMsgId` - Unique Message Identifier, as returned from SMS carrier
    `dtResponse` - Date of acknowledgement
    `eErrCode` - Error Code from enumeration { NONE(0), AUTHENTICATION_FAILURE(1), SERVER_UNAVAILABLE(2), INVALID_MSISDN(4), INVALID_CHARACTER(8), TEXT_TOO_LONG(16), UNKNOWN_ERROR(128) }
    `eNotifyStatusCode` - from enumeration { POSITIVE_ACK(0),TEMPORARY_ACK(1),TEMPORARY_ACK_WAITING_FOR_HANDSET(2),NEGATIVE_RETRYING_DELIVERY(-1),NEGATIVE_MSISDN_IS_BLACKLISTED(-2),NEGATIVE_CALL_BARRED_BY_OPERATOR(-4),NEGATIVE_FAILED_DELIVERY(-8),NEGATIVE_OUT_OF_CREDIT(-16) }
    `sErrorMsg` - Additional Error Information

Method Detail

### errorMessage

    public java.lang.String errorMessage()

### messageId

    public java.lang.String messageId()

### errorCode

    public SMSResponse.ErrorCode errorCode()

### notificationStatusCode

    public SMSResponse.StatusCode notificationStatusCode()

### dateStamp

    public java.util.Date dateStamp()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD